/*乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗//
    bolext.h
//乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗*/

#define  WINAPI  __stdcall
#define  WINAPIV __cdecl

#define  LOCALF  static __stdcall
#define  LOCALFV static __cdecl

#ifdef __cplusplus
extern "C" {
#endif

//乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗//

#define  IAPP  OCTVAL('B','O', 2, 6)

#define  PRO_DEF  1
#define  PRO_OPR  2
#define  PRO_REP  3

rSTR WINAPI BCDExt(I4B pro);
rSTR WINAPI BCDMain(I4B pro);

typedef struct {
  I4B   pro;
  I1B   nam[16];
  I1B   tit[32];
  I1B   dsc[64];
} PROI;
typedef PROI *pPROI, *PPROI;
typedef const PROI *rPROI, *PCPROI;

HBLK WINAPI CreateTMP(rPROI pi);
void WINAPI ScanProcInfo(pPROI pi, HBLK xb);

BOOL WINAPI ConnectDB(rSTR nam);

BOOL WINAPI CallCommandMain(rSTR nam, HWND hwnd);
BOOL WINAPI LoadReportBCD(rSTR nam);
void WINAPI UnloadReportBCD(void);
BOOL WINAPI CallReportMain(pANY rp, I4B msg, I4B pg, uANY pa);

//乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗//

U4B  WINAPI BOLEXTVer(void);

BOOL WINAPI InitBOLEXT(uANY pa);
void WINAPI TermBOLEXT(void);

#ifdef __cplusplus
}
#endif

//乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗乗//
